# Message
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.locale.enums

## Enum Message

- java.lang.Object
- - java.lang.Enum<Message>
  - - me.legofreak107.vehiclesplus.vehicles.locale.enums.Message

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message>

    public enum Message
    extends java.lang.Enum<Message>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACCELERATION`
`ADDON`
`BLUE`
`CAN_EXIT_WHILE_MOVING`
`CHANGE_OWNER`
`CLICK_FOR_MORE_INFO`
`CLICK_TO_DESPAWN`
`CLICK_TO_SPAWN`
`COMMAND_ARG_BOOLEAN`
`COMMAND_ARG_CORRECTION`
`COMMAND_ARG_DOUBLE`
`COMMAND_ARG_INTEGER`
`COMMAND_ARG_PLAYER`
`COMMAND_ARG_STRING`
`COMMAND_DESC_ADDON`
`COMMAND_DESC_ADDON_GIVE`
`COMMAND_DESC_FUEL`
`COMMAND_DESC_FUEL_BUY`
`COMMAND_DESC_FUEL_GIVE`
`COMMAND_DESC_FUEL_SHOP`
`COMMAND_DESC_GARAGE`
`COMMAND_DESC_GIVE`
`COMMAND_DESC_INFO`
`COMMAND_DESC_LIST`
`COMMAND_DESC_MAIN`
`COMMAND_DESC_SHOP`
`COMMAND_DESC_WHEEL_GIVE`
`COMMAND_ERROR_NO_FUEL`
`COMMAND_ERROR_NO_ITEM`
`COMMAND_ERROR_NO_RIM`
`COMMAND_ERROR_NO_VEHICLE`
`COMMAND_NO_PERMISSIONS`
`COMMAND_OPTIONS`
`COMMAND_USAGE`
`CONFIRM_DELETE`
`COST`
`COULD_NOT_SPAWN_VEHICLE`
`CURRENT`
`DRIFT`
`DRIVING_INFO`
`ECO_NO_MONEY`
`ECO_PURCHASE_COMPLETE`
`ENTER_NEW_NAME`
`ENTER_VEHICLE`
`ERROR_PART_WHEEL_USAGE`
`FUEL_STORAGE`
`FUEL_TYPE`
`GREEN`
`HEALTH`
`IS_DRIVER_SEAT`
`LOCK_VEHICLE`
`MAX`
`MAXED_OUT`
`MENU_TITLE_COLOR`
`MENU_TITLE_SHOP`
`NAME`
`NO_GARAGE`
`OCCUPIED`
`OUT_OF_FUEL`
`PAGE`
`PAINT`
`PART`
`PRICE`
`PURCHASE_CONFIRM`
`RED`
`REMOVE_VEHICLE`
`RENAME`
`REPAIR_COST`
`SEAT`
`SEAT_OCCUPIED`
`SELECT_PLAYER`
`SETTINGS`
`SPEED`
`STEERING`
`STEP`
`TANK_CAP`
`TRUNK_TITLE`
`TRUNKSIZE`
`TUNING`
`TYPE`
`UNLOCK_VEHICLE`
`UPGRADES`
`VEHICLE_GIVEN`
`VEHICLE_IS_BROKEN`
`VEHICLE_IS_SPAWNED`
`VEHICLE_LOCKED`
`VEHICLE_NOW_LOCKED`
`VEHICLE_NOW_UNLOCKED`
`VEHICLE_REFUELED`
`VEHICLE_REMOVED`
`VEHICLE_REPAIRED`

### Method Summary

All Methods Static Methods Concrete Methods
`static Message` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMMAND_ARG_STRING

    public static final Message COMMAND_ARG_STRING

#### COMMAND_ARG_INTEGER

    public static final Message COMMAND_ARG_INTEGER

#### COMMAND_ARG_DOUBLE

    public static final Message COMMAND_ARG_DOUBLE

#### COMMAND_ARG_BOOLEAN

    public static final Message COMMAND_ARG_BOOLEAN

#### COMMAND_ARG_PLAYER

    public static final Message COMMAND_ARG_PLAYER

#### COMMAND_ARG_CORRECTION

    public static final Message COMMAND_ARG_CORRECTION

#### COMMAND_ERROR_NO_VEHICLE

    public static final Message COMMAND_ERROR_NO_VEHICLE

#### COMMAND_ERROR_NO_RIM

    public static final Message COMMAND_ERROR_NO_RIM

#### COMMAND_ERROR_NO_FUEL

    public static final Message COMMAND_ERROR_NO_FUEL

#### COMMAND_ERROR_NO_ITEM

    public static final Message COMMAND_ERROR_NO_ITEM

#### COMMAND_OPTIONS

    public static final Message COMMAND_OPTIONS

#### COMMAND_NO_PERMISSIONS

    public static final Message COMMAND_NO_PERMISSIONS

#### COMMAND_USAGE

    public static final Message COMMAND_USAGE

#### COMMAND_DESC_MAIN

    public static final Message COMMAND_DESC_MAIN

#### COMMAND_DESC_ADDON

    public static final Message COMMAND_DESC_ADDON

#### COMMAND_DESC_LIST

    public static final Message COMMAND_DESC_LIST

#### COMMAND_DESC_INFO

    public static final Message COMMAND_DESC_INFO

#### COMMAND_DESC_SHOP

    public static final Message COMMAND_DESC_SHOP

#### MENU_TITLE_SHOP

    public static final Message MENU_TITLE_SHOP

#### MENU_TITLE_COLOR

    public static final Message MENU_TITLE_COLOR

#### COMMAND_DESC_GIVE

    public static final Message COMMAND_DESC_GIVE

#### COMMAND_DESC_ADDON_GIVE

    public static final Message COMMAND_DESC_ADDON_GIVE

#### COMMAND_DESC_WHEEL_GIVE

    public static final Message COMMAND_DESC_WHEEL_GIVE

#### COMMAND_DESC_GARAGE

    public static final Message COMMAND_DESC_GARAGE

#### CLICK_FOR_MORE_INFO

    public static final Message CLICK_FOR_MORE_INFO

#### COULD_NOT_SPAWN_VEHICLE

    public static final Message COULD_NOT_SPAWN_VEHICLE

#### NAME

    public static final Message NAME

#### TYPE

    public static final Message TYPE

#### PART

    public static final Message PART

#### PAINT

    public static final Message PAINT

#### ADDON

    public static final Message ADDON

#### RED

    public static final Message RED

#### GREEN

    public static final Message GREEN

#### BLUE

    public static final Message BLUE

#### CAN_EXIT_WHILE_MOVING

    public static final Message CAN_EXIT_WHILE_MOVING

#### PRICE

    public static final Message PRICE

#### HEALTH

    public static final Message HEALTH

#### TRUNKSIZE

    public static final Message TRUNKSIZE

#### DRIFT

    public static final Message DRIFT

#### PAGE

    public static final Message PAGE

#### NO_GARAGE

    public static final Message NO_GARAGE

#### SPEED

    public static final Message SPEED

#### STEERING

    public static final Message STEERING

#### TANK_CAP

    public static final Message TANK_CAP

#### ACCELERATION

    public static final Message ACCELERATION

#### VEHICLE_IS_SPAWNED

    public static final Message VEHICLE_IS_SPAWNED

#### CLICK_TO_DESPAWN

    public static final Message CLICK_TO_DESPAWN

#### VEHICLE_IS_BROKEN

    public static final Message VEHICLE_IS_BROKEN

#### CLICK_TO_SPAWN

    public static final Message CLICK_TO_SPAWN

#### CONFIRM_DELETE

    public static final Message CONFIRM_DELETE

#### SEAT_OCCUPIED

    public static final Message SEAT_OCCUPIED

#### VEHICLE_LOCKED

    public static final Message VEHICLE_LOCKED

#### ERROR_PART_WHEEL_USAGE

    public static final Message ERROR_PART_WHEEL_USAGE

#### ECO_NO_MONEY

    public static final Message ECO_NO_MONEY

#### ECO_PURCHASE_COMPLETE

    public static final Message ECO_PURCHASE_COMPLETE

#### REPAIR_COST

    public static final Message REPAIR_COST

#### OUT_OF_FUEL

    public static final Message OUT_OF_FUEL

#### TRUNK_TITLE

    public static final Message TRUNK_TITLE

#### ENTER_VEHICLE

    public static final Message ENTER_VEHICLE

#### SELECT_PLAYER

    public static final Message SELECT_PLAYER

#### REMOVE_VEHICLE

    public static final Message REMOVE_VEHICLE

#### LOCK_VEHICLE

    public static final Message LOCK_VEHICLE

#### UNLOCK_VEHICLE

    public static final Message UNLOCK_VEHICLE

#### VEHICLE_NOW_LOCKED

    public static final Message VEHICLE_NOW_LOCKED

#### VEHICLE_NOW_UNLOCKED

    public static final Message VEHICLE_NOW_UNLOCKED

#### RENAME

    public static final Message RENAME

#### SETTINGS

    public static final Message SETTINGS

#### SEAT

    public static final Message SEAT

#### ENTER_NEW_NAME

    public static final Message ENTER_NEW_NAME

#### TUNING

    public static final Message TUNING

#### COST

    public static final Message COST

#### CURRENT

    public static final Message CURRENT

#### STEP

    public static final Message STEP

#### MAX

    public static final Message MAX

#### FUEL_STORAGE

    public static final Message FUEL_STORAGE

#### FUEL_TYPE

    public static final Message FUEL_TYPE

#### PURCHASE_CONFIRM

    public static final Message PURCHASE_CONFIRM

#### MAXED_OUT

    public static final Message MAXED_OUT

#### IS_DRIVER_SEAT

    public static final Message IS_DRIVER_SEAT

#### CHANGE_OWNER

    public static final Message CHANGE_OWNER

#### OCCUPIED

    public static final Message OCCUPIED

#### COMMAND_DESC_FUEL_BUY

    public static final Message COMMAND_DESC_FUEL_BUY

#### COMMAND_DESC_FUEL_SHOP

    public static final Message COMMAND_DESC_FUEL_SHOP

#### COMMAND_DESC_FUEL

    public static final Message COMMAND_DESC_FUEL

#### COMMAND_DESC_FUEL_GIVE

    public static final Message COMMAND_DESC_FUEL_GIVE

#### UPGRADES

    public static final Message UPGRADES

#### VEHICLE_REFUELED

    public static final Message VEHICLE_REFUELED

#### VEHICLE_GIVEN

    public static final Message VEHICLE_GIVEN

#### VEHICLE_REMOVED

    public static final Message VEHICLE_REMOVED

#### DRIVING_INFO

    public static final Message DRIVING_INFO

#### VEHICLE_REPAIRED

    public static final Message VEHICLE_REPAIRED

### Method Detail

#### values

    public static Message[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Message c : Message.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Message valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null